Package org.pushingpixels.flamingo.api.common.popup

# Class PopupPanelManager.PopupEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
java.awt.event.ComponentEvent
org.pushingpixels.flamingo.api.common.popup.PopupPanelManager.PopupEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PopupPanelManager`

public static class PopupPanelManager.PopupEvent extends ComponentEvent
Popup event.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`POPUP_HIDDEN`
ID of "popup hidden" event.
`static final int`
`POPUP_SHOWN`
ID of "popup shown" event.

### Fields inherited from class java.awt.event.ComponentEvent

`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

### Fields inherited from class java.awt.AWTEvent

`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PopupEvent(JPopupPanel source, int id, JComponent popupOriginator)`
Creates a new popup event.

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getPopupOriginator()`
Returns the popup originator component.

### Methods inherited from class java.awt.event.ComponentEvent

`getComponent, paramString`

### Methods inherited from class java.awt.AWTEvent

`consume, getID, isConsumed, setSource, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### POPUP_SHOWN

public static final int POPUP_SHOWN
ID of "popup shown" event.

See Also:
  - Constant Field Values

### POPUP_HIDDEN

public static final int POPUP_HIDDEN
ID of "popup hidden" event.

See Also:
  - Constant Field Values

## Constructor Details

### PopupEvent

public PopupEvent(JPopupPanel source, int id, JComponent popupOriginator)
Creates a new popup event.

Parameters:
  `source` - Event source.
  `id` - Event ID.
  `popupOriginator` - Popup originator component.

## Method Details

### getPopupOriginator

public JComponent getPopupOriginator()
Returns the popup originator component.

Returns:
  Popup originator component.